# Uses of Interface
org.italiangrid.voms.request.VOMSResponse

Packages that use VOMSResponse
Package
Description
org.italiangrid.voms.request
This package provides the API for requesting VOMS attribtues from a remote VOMS server.
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSResponse in org.italiangrid.voms.request

Methods in org.italiangrid.voms.request that return VOMSResponse
Modifier and Type
Method
Description
`VOMSResponse`
VOMSProtocol.`doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
Makes a request, get the response.
`VOMSResponse`
VOMSResponseParsingStrategy.`parse(InputStream inputStream)`
Parse the response coming from a VOMS service and build a `VOMSResponse` object.
Methods in org.italiangrid.voms.request with parameters of type VOMSResponse
Modifier and Type
Method
Description
`void`
VOMSProtocolListener.`notifyReceivedResponse(VOMSResponse r)`
Informs that a VOMSResponse was received from a remote VOMS server

## Uses of VOMSResponse in org.italiangrid.voms.request.impl

Classes in org.italiangrid.voms.request.impl that implement VOMSResponse
Modifier and Type
Class
Description
`class`
`LegacyVOMSResponse`
`class`
`RESTVOMSResponse`
This class is used to parse and represent VOMS server responses coming from a RESTful VOMS service.
Methods in org.italiangrid.voms.request.impl that return VOMSResponse
Modifier and Type
Method
Description
`VOMSResponse`
LegacyProtocol.`doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
`VOMSResponse`
RESTProtocol.`doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
`VOMSResponse`
LegacyVOMSResponseParsingStrategy.`parse(InputStream inputStream)`
`VOMSResponse`
RESTVOMSResponseParsingStrategy.`parse(InputStream inputStream)`
Parse a response coming from a RESTFul VOMS service and builds a `VOMSResponse` object representing the response.
Methods in org.italiangrid.voms.request.impl with parameters of type VOMSResponse
Modifier and Type
Method
Description
`protected org.bouncycastle.asn1.x509.AttributeCertificate`
DefaultVOMSACService.`getACFromResponse(VOMSACRequest request, VOMSResponse response)`
Extracts an AC from a VOMS response
`protected void`
DefaultVOMSACService.`handleErrorsInResponse(VOMSACRequest request, VOMSServerInfo si, VOMSResponse response)`
Handles errors included in the VOMS response
`protected void`
DefaultVOMSACService.`handleWarningsInResponse(VOMSACRequest request, VOMSServerInfo si, VOMSResponse response)`
Handles warnings included in the VOMS response

## Uses of VOMSResponse in org.italiangrid.voms.util

Methods in org.italiangrid.voms.util with parameters of type VOMSResponse
Modifier and Type
Method
Description
`void`
NullListener.`notifyReceivedResponse(VOMSResponse r)`